Bug 3847 - [UPDATE REQUEST] Kernel 3.10.34
: [UPDATE REQUEST] Kernel 3.10.34
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-13 13:27 MSK by Eugene Shatokhin
Modified: 2014-04-07 12:00 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-03-13 13:27:16 MSK
Upstream update to version 3.10.33
Comment 1 Eugene Shatokhin 2014-03-13 13:32:02 MSK
Advisory:
The kernel was updated to version 3.10.33. 
This version includes a number of bug fixes in:
* networking (core, iwlwifi, rtlwifi, tg3, ath9k, b43, etc.)
* file systems (ext4, CIFS, NFS, fuse)
* video (radeon, i915, nouveau)
* sound (ALSA)
* USB subsystem
* mei
* intel_pstate
* perf
* and more

Build lists:
i586:
https://abf.rosalinux.ru/build_lists/1696110
https://abf.rosalinux.ru/build_lists/1697244

x86_64:
https://abf.rosalinux.ru/build_lists/1696111
https://abf.rosalinux.ru/build_lists/1697245

Kernel flavours:
for both architectires - desktop, server, nrj_desktop, nrj_realtime, nrj_laptop, nrj_netbook. Plus nrj_desktop_pae, nrj_laptop_pae for i586 only.
Comment 2 Vladimir Potapov 2014-03-14 04:34:00 MSK
The update route to extended testing
Comment 3 Postnikov Dmitry 2014-03-15 14:00:51 MSK
1. Cpupower not Enabled automaticaly. Needed manual Enable.
============================
# systemctl status cpupower
cpupower.service - Configure CPU power related settings
   Loaded: loaded (/lib/systemd/system/cpupower.service; disabled)
   Active: inactive (dead)
===========================

2. Error parsing cpulist.
============================
# cpupower --cpu cpulist
Error parsing cpu list
===========================

3.Cpupower could not read perf-bias.
=========================
# cpupower info
System's multi core scheduler setting: not supported
System's thread sibling scheduler setting: not supported
analyzing CPU 0:
Could not read perf-bias value
========================
Comment 4 Alexander Burmashev 2014-03-15 14:09:39 MSK
VM or real hardware ?
Comment 5 Postnikov Dmitry 2014-03-15 14:31:26 MSK
(In reply to comment #4)
> VM or real hardware ?

Real hardware.
Comment 6 Postnikov Dmitry 2014-03-15 14:37:48 MSK
4. Boost support is OFF on my laptop. But boost support is ON on state computer.

==============the laptop============
boost state support:
    Supported: no
    Active: no
    25500 MHz max turbo 4 active cores
    25500 MHz max turbo 3 active cores
    25500 MHz max turbo 2 active cores
    25500 MHz max turbo 1 active cores
==============
==============state computer========
boost state support:
    Supported: yes
    Active: yes
    25500 MHz max turbo 4 active cores
    25500 MHz max turbo 3 active cores
    25500 MHz max turbo 2 active cores
    25500 MHz max turbo 1 active cores
==============

The reason i don't know.
Comment 7 Postnikov Dmitry 2014-03-15 15:31:08 MSK
5. Cpupower not show Mperf status.
========================
# cpupower monitor
    |Nehalem                    || SandyBridge        || Mperf              || Idle_Stats                       
CPU | C3   | C6   | PC3  | PC6  || C7   | PC2  | PC7  || C0   | Cx   | Freq || POLL | C1-I | C1E- | C3-I | C6-I 
   0|******|******|******|******||******|******|******||******|******|******||  0,00|  0,01|  0,05|  0,08| 69,41
   1|******|******|******|******||******|******|******||******|******|******||  0,00|  0,00|  0,17|  0,01| 69,08
   2|******|******|******|******||******|******|******||******|******|******||  0,00|  0,00|  0,33|  0,05| 96,66
   3|******|******|******|******||******|******|******||******|******|******||  0,00|  0,05|  0,14|  0,09| 67,32
Comment 8 Vladimir Potapov 2014-03-17 05:45:57 MSK
(In reply to comment #3)
> 1. Cpupower not Enabled automaticaly. Needed manual Enable.
> ============================
> # systemctl status cpupower
> cpupower.service - Configure CPU power related settings
>    Loaded: loaded (/lib/systemd/system/cpupower.service; disabled)
>    Active: inactive (dead)
> ===========================
> 
> 2. Error parsing cpulist.
> ============================
> # cpupower --cpu cpulist
> Error parsing cpu list
> ===========================
> 
> 3.Cpupower could not read perf-bias.
> =========================
> # cpupower info
> System's multi core scheduler setting: not supported
> System's thread sibling scheduler setting: not supported
> analyzing CPU 0:
> Could not read perf-bias value
> ========================
It's no regressions. I see for 3.10.27 too
Comment 9 Vladimir Potapov 2014-03-17 05:58:30 MSK
(In reply to comment #6)
> 4. Boost support is OFF on my laptop. But boost support is ON on state
> computer.
> 
> ==============the laptop============
> boost state support:
>     Supported: no
>     Active: no
>     25500 MHz max turbo 4 active cores
>     25500 MHz max turbo 3 active cores
>     25500 MHz max turbo 2 active cores
>     25500 MHz max turbo 1 active cores
> ==============
> ==============state computer========
> boost state support:
>     Supported: yes
>     Active: yes
>     25500 MHz max turbo 4 active cores
>     25500 MHz max turbo 3 active cores
>     25500 MHz max turbo 2 active cores
>     25500 MHz max turbo 1 active cores
> ==============
> 
> The reason i don't know.

May be you processor don't have  boost?
I have i3, i3 work without the technology.
Comment 10 Postnikov Dmitry 2014-03-18 01:27:20 MSK
(In reply to comment #9)
> (In reply to comment #6)
> > 4. Boost support is OFF on my laptop. But boost support is ON on state
> > computer.
> > 
> > ==============the laptop============
> > boost state support:
> >     Supported: no
> >     Active: no
> >     25500 MHz max turbo 4 active cores
> >     25500 MHz max turbo 3 active cores
> >     25500 MHz max turbo 2 active cores
> >     25500 MHz max turbo 1 active cores
> > ==============
> > ==============state computer========
> > boost state support:
> >     Supported: yes
> >     Active: yes
> >     25500 MHz max turbo 4 active cores
> >     25500 MHz max turbo 3 active cores
> >     25500 MHz max turbo 2 active cores
> >     25500 MHz max turbo 1 active cores
> > ==============
> > 
> > The reason i don't know.
> 
> May be you processor don't have  boost?
> I have i3, i3 work without the technology.

My i3 write boost support no, but i5 write boost support yes.
Maybe for mobile equipment such technology?
Comment 11 Alexander Burmashev 2014-03-28 10:44:38 MSK
Started to look at the problem with cpupower.
If you start it manually with "systemctl start cpupower" does it fail ?
Comment 12 Postnikov Dmitry 2014-03-28 10:59:39 MSK
(In reply to comment #11)
> Started to look at the problem with cpupower.
> If you start it manually with "systemctl start cpupower" does it fail ?

No. Manualy started OK. But automaticaly don't start.
Comment 13 Vladimir Potapov 2014-03-29 15:28:32 MSK
Do I wait kernel 10.43 for test (#3889)?
Comment 14 Alexander Burmashev 2014-03-29 15:42:40 MSK
yes, 3.10.34 should be with fixed scripts, required for 3889.
Comment 15 Eugene Shatokhin 2014-03-31 11:28:54 MSD
Advisory:
The kernel was updated to version 3.10.34.
This version includes a number of bug fixes in:
* networking (core, iwlwifi, rtlwifi, tg3, ath9k, b43, etc.)
* file systems (ext4, CIFS, NFS, fuse)
* video (radeon, i915, nouveau)
* sound (ALSA)
* USB subsystem
* mei
* intel_pstate
* perf
* and more
Besides that, the patches to fix some problems with Samsung laptops are also included. Details: http://www.phoronix.com/scan.php?page=news_item&px=MTYyMjU


Build lists:
i586:
https://abf.rosalinux.ru/build_lists/1725925
https://abf.rosalinux.ru/build_lists/1726548

x86_64:
https://abf.rosalinux.ru/build_lists/1725926
https://abf.rosalinux.ru/build_lists/1726549


Kernel flavours:
for both architectires - desktop, server, nrj_desktop, nrj_realtime, nrj_laptop, nrj_netbook. Plus nrj_desktop_pae, nrj_laptop_pae for i586 only.

Hints for testing:
This kernel along with the updated systemd from bug #3889 should make sure cpupower service is enabled and starts by default. Please test that too.
Comment 16 Vladimir Potapov 2014-03-31 11:59:38 MSD
The update route to extended testing
Comment 17 Vladimir Potapov 2014-04-02 07:24:20 MSD
We wait for post(bug#3889) fix
Comment 18 Eugene Shatokhin 2014-04-02 11:02:34 MSD
Advisory:
The kernel was updated to version 3.10.34.
This version includes a number of bug fixes in:
* networking (core, iwlwifi, rtlwifi, tg3, ath9k, b43, etc.)
* file systems (ext4, CIFS, NFS, fuse)
* video (radeon, i915, nouveau)
* sound (ALSA)
* USB subsystem
* mei
* intel_pstate
* perf
* and more
Besides that, the patches to fix some problems with Samsung laptops are also included. Details: http://www.phoronix.com/scan.php?page=news_item&px=MTYyMjU


Build lists:
i586:
https://abf.rosalinux.ru/build_lists/1731466
https://abf.rosalinux.ru/build_lists/1726548

x86_64:
https://abf.rosalinux.ru/build_lists/1731467
https://abf.rosalinux.ru/build_lists/1726549


Kernel flavours:
for both architectires - desktop, server, nrj_desktop, nrj_realtime, nrj_laptop, nrj_netbook. Plus nrj_desktop_pae, nrj_laptop_pae for i586 only.
Comment 19 Eugene Shatokhin 2014-04-02 11:03:07 MSD
(In reply to comment #17)
> We wait for post(bug#3889) fix

Here it is, see comment #18.
Comment 20 Vladimir Potapov 2014-04-02 15:18:47 MSD
The update route to extended testing
Comment 21 Postnikov Dmitry 2014-04-04 18:10:06 MSD
**************************
Extended testing report
*************************
All work, no problem with my hardware.


>Build lists:
>i586:
>https://abf.rosalinux.ru/build_lists/1731466
>https://abf.rosalinux.ru/build_lists/1726548
>
>x86_64:
>https://abf.rosalinux.ru/build_lists/1731467
>https://abf.rosalinux.ru/build_lists/1726549
>
Comment 22 Vladimir Potapov 2014-04-04 19:04:24 MSD
kernel-3.10.34-2
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1731466/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1731467/x86_64/main/release/

kernel-3.10.34-1.1
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1726548/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1726549/x86_64/main/release/
************************* Advisory *********************
The kernel was updated to version 3.10.34.
************************* Changelog ********************
This version includes a number of bug fixes in:
* networking (core, iwlwifi, rtlwifi, tg3, ath9k, b43, etc.)
* file systems (ext4, CIFS, NFS, fuse)
* video (radeon, i915, nouveau)
* sound (ALSA)
* USB subsystem
* mei
* intel_pstate
* perf
* and more
Besides that, the patches to fix some problems with Samsung laptops are also included.
**********************************************************
QA Verified